=== debian/control ===
Source: ros-galactic-rcl-logging-interface
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake-ros, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-rcpputils <!nocheck>, ros-galactic-rcutils, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rcl-logging-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rcutils, ros-galactic-ros-workspace
Description: Interface that rcl_logging backends needs to implement.
